#!/usr/bin/bash

PFLOGSUMM="/usr/local/postfix-pgnd/postfix-current/sbin/pflogsumm"
MSMTP="/usr/bin/msmtp"

# ENV vars:
#	SENDER=
#	RECIPIENT=
#	SUBJECT=
#	MSMTP_PORT=
#	MSMTP_HOST=
#	!! match @ postfix/master.cf
#		[<MSMTP_HOST>]:<MSMTP_PORT> inet n - n - - smtpd
#		...
ENV_FILE="/usr/local/etc/postfix/ENV/pflogsumm-report.env"

TMP_FILE="/tmp/pflogsumm-report.txt"

while read -r LINE
do
  if [[ $LINE == *'='* ]] && [[ $LINE != '#'* ]]; then
    ENV_VAR="$(echo $LINE | envsubst)"
    eval "declare $ENV_VAR"
  fi
done < ${ENV_FILE}


#--------------------------------#
cat << EOM > ${TMP_FILE}
To: ${RECIPIENT}
From: ${SENDER}
Subject: ${SUBJECT}



EOM
#--------------------------------#

LANG="en_US" ${PFLOGSUMM} \
-d yesterday \
--problems-first \
--detail 50 \
--smtpd-stats \
-e --verbose-msg-detail \
--verp_mung=2 \
--zero_fill \
/var/log/postfix/postfix* 2>&1 \
>>  ${TMP_FILE}

# cref: /etc/msmtprc
${MSMTP} \
 --host=${MSMTP_HOST} \
 --port=${MSMTP_PORT} \
 --from=${SENDER} \
 --logfile=/var/log/msmtp/msmtp.log \
${RECIPIENT} \
< ${TMP_FILE}

rm -f ${TMP_FILE}
